TypeVariable
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class TypeVariable

- java.lang.Object
- - com.thoughtworks.qdox.model.Type
  - - com.thoughtworks.qdox.model.TypeVariable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable

      public class TypeVariable
      extends Type

  Since:
    1.10
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeVariable[]` | `EMPTY_ARRAY`

    - ### Fields inherited from class com.thoughtworks.qdox.model.Type

      `VOID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeVariable(java.lang.String fullName, TypeVariableDef def, JavaClassParent context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeVariable` | `createUnresolved(TypeVariableDef def, JavaClassParent context)`
    `java.lang.String` | `getGenericValue()` The FQN representation of an Object for code usage This implementation ignores generics Some examples how Objects will be translated
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()` The FQN representation of an Object for code usage This implementation ignores generics Some examples how Objects will be translated

    - ### Methods inherited from class com.thoughtworks.qdox.model.Type

      `compareTo, createUnresolved, createUnresolved, createUnresolved, equals, getActualTypeArguments, getDimensions, getFullQualifiedName, getFullyQualifiedName, getGenericValue, getJavaClass, getJavaClassParent, getResolvedGenericValue, getResolvedValue, getTypeVariableIndex, hashCode, isA, isArray, isPrimitive, isResolved, isVoid, resolve, resolve, toGenericString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_ARRAY

          public static final TypeVariable[] EMPTY_ARRAY

  - ### Constructor Detail

    - #### TypeVariable

          public TypeVariable(java.lang.String fullName,
                      TypeVariableDef def,
                      JavaClassParent context)

  - ### Method Detail

    - #### createUnresolved

          public static TypeVariable createUnresolved(TypeVariableDef def,
                                      JavaClassParent context)

    - #### getValue

          public java.lang.String getValue()

      Description copied from class: `Type`
      The FQN representation of an Object for code usage This implementation ignores generics Some examples how Objects will be translated

           Object > java.lang.object
           java.util.List > java.util.List
           ? > ?
           T > T
           anypackage.Outer.Inner > anypackage.Outer.Inner

      Overrides:
        `getValue` in class `Type`
      Returns:
        type representation for code usage

    - #### getGenericValue

          public java.lang.String getGenericValue()

      Description copied from class: `Type`
      The FQN representation of an Object for code usage This implementation ignores generics Some examples how Objects will be translated

           Object > java.lang.object
           java.util.List > java.util.List
           ? > ?
           T > T
           anypackage.Outer.Inner > anypackage.Outer.Inner

      Overrides:
        `getGenericValue` in class `Type`
      Returns:
        generic type representation for code usage

    - #### getName

          public java.lang.String getName()